Summary:        Shared library for the S-Lang extension language
Name:           slang
Version:        2.3.3
Release:        4%{?dist}
License:        GPLv2+
URL:            https://www.jedsoft.org/slang/
Source0:        https://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2

Patch3001:      slang-sighuptest.patch

BuildRequires:  make gcc
BuildRequires:  libpng-devel pcre-devel zlib-devel
BuildRequires:  oniguruma-devel

%description
S-Lang is a multi-platform programmer's library designed to allow
a developer to create robust multi-platform software. It provides
facilities required by interactive applications such as
display/screen management, keyboard input, keymaps, and so on.

%package slsh
Summary:	Interpreter for S-Lang scripts
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description slsh
slsh (slang-shell) is a program for interpreting S-Lang scripts. 
It supports dynamic loading of S-Lang modules and includes a readline
interface for interactive use.

This package also includes S-Lang modules that are distributed with
the S-Lang distribution.

%package devel
Summary:	Development files for the S-Lang extension language
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains files which you'll need if you want to
develop S-Lang based applications.  Documentation which may help
you write S-Lang based applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%prep
%autosetup -p1

%build
%configure \
	--with-{pcre,png,z,onig}lib=%{_libdir} \
	--with-{pcre,png,z,onig}inc=%{_includedir}

# install_doc_dir sets SLANG_DOC_DIR macro
make RPATH="" install_doc_dir=%{_pkgdocdir} all

%install
%make_install RPATH=""
rm -rf %{buildroot}/%{_docdir}/{slang,slsh} %{buildroot}/%{_libdir}/libslang.a

mkdir %{buildroot}/%{_includedir}/slang
for h in slang.h slcurses.h; do
	ln -s ../$h %{buildroot}/%{_includedir}/slang/$h
done

%check
make check

%files
%license COPYING
%doc NEWS
%{_libdir}/libslang*.so.2*

%files slsh
%doc slsh/doc/html/slsh*.html
%config(noreplace) %{_sysconfdir}/slsh.rc
%{_bindir}/slsh
%{_libdir}/slang
%{_mandir}/man1/slsh.1*
%{_datadir}/slsh

%files devel
%doc doc/*/cslang*.txt doc/*/cref.txt doc/README doc/*/slang*.txt doc/*.txt
%{_libdir}/libslang*.so
%{_libdir}/pkgconfig/slang.pc
%{_includedir}/sl*.h
%{_includedir}/slang

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 24 2022 NewStart <os@gd-linux.com> - 2.3.3-1
- init package
